Subject: [Qirg] draft-irtf-qirg-principles-01

From: Wojciech Kozlowski <[email-masked]>
Date: Fri, 6 Sep 2019 15:51:26 +0000

Hello QIRG,

I have just updated the "Architectural Principles for a Quantum
Internet" draft.

Brief summary of changes:
* Stephanie Wehner contributed a more accurate security section and
added content to several other sections
* Various editorial changes from based on other feedback
* A lot of feedback on the mailing list was in the form of rather
difficult open-ended questions. Rather than addressing them on my own,
I have placed them in the CONTRIBUTING section to address
collaboratively (read below).

However, I would like to begin a more active process of working on this
draft. To this end, I have set up a GitHub repository: 
https://github.com/Wojtek242/draft-irtf-qirg-principles

The README file of the repository explains things a bit more so I
encourage you to check it out. However, I would like to draw your
attention to the CONTRIBUTING section: 
https://github.com/Wojtek242/draft-irtf-qirg-principles/blob/master/CONTRIBUTING.md

One of my goals with this draft was to encourage and enable
participation from people without a quantum background, because there
is a lot classical networking expertise out there that would be
invaluable to the development of this draft. However, I think it is
generally difficult for such people to know how to contribute.
Therefore, in the CONTRIBUTING section, I have laid out several items
that could be tackled by a group of contributors on this mailing list.
Ideally these groups would be a mix of people with a quantum background
and a networking background. There is a lot of work to do. Please let
me know what you think about this.

I would also like to use this opportunity to ask for some help. I don't
actually know what is the best way to drive the development of a draft,
so if people on this mailing list who have more experience in this
could help me out that would be greatly appreciated!

Since it seems that QIRG will be meeting in Singapore, I think it would
be great to aim to address at least one or two items from the
CONTRIBUTING section by then.

Thanks,
Wojciech

---

From: Patrick Gelard <[email-masked]>
Date: Sat, 7 Sep 2019 12:08:43 +0200

Hi Wojciech

> https://github.com/Wojtek242/draft-irtf-qirg-principles/blob/master/CONTRIBUTING.md

Concerning the relation with classical network, there are different 
levels and principles of network architecture, based on different 
perspectives and standards.

- Mobile (e.g 3GPP with core network, bachaul and fronthaul ; 5G ) and 
fixed network architecture (e.g Broadband forum with core network, 
agregation network and acces network)

- Local Area Network "LAN" (e.g IEEE), Metropolitan Area Network "MAN" 
(e.g Metro Ethernet Forum), Wide Area Network "WAN" (i.g carrier garde 
ethernet, IP/MPLS)

- A meta-network, a constantly changing collection of thousands of 
individual networks  (autonomus system) intercommunicating with a common 
protocol (i.e the IETF vision - 
https://www.livinginternet.com/i/iw_arch.htm - - 
"https://www.livinginternet.com/i/iw_arch.htm")

     * RFC 1958; B. Carpenter; Architectural Principles of the Internet; 
June, 1996

     * RFC 3426; S. Floyd; General Architectural and Policy 
Considerations; Nov 2002

     * RFC 3439; R. Bush, D. Meyer; Some Internet Architectural 
Guidelines and Philosophy; Dec 2002

IETF vision seem to be more concerning on "high layer" of network 
interconnection https://en.wikipedia.org/wiki/Internetworking - 
"https://en.wikipedia.org/wiki/Internetworking"

/Patrick

---
L'absence de virus dans ce courrier électronique a été vérifiée par le logiciel antivirus Avast.
https://www.avast.com/antivirus

---

From: Bruno Rijsman <[email-masked]>
Date: Tue, 10 Sep 2019 09:28:49 +0200

> could help me out that would be greatly appreciated!

Hi Wojchiek,

Putting the draft in a public GitHub repo and inviting pull requests is already a great step towards fostering collaboration. Here are some additional steps you could take:

(1) PERIODIC VIDEO CALL

* Have periodic (I suggest bi-weekly) video conference calls.

* Allow anyone to attend the call (in reality, you will get a small core team of a few people, and a varying cast of tourists). Avoid secretive “core teams” and "backroom meetings".

* Always have the call at the same weekday  (e.g. every 1st and 3rd Thursday of the month) and time. This creates a habit of attending. 

* Pick a time that works for as many time-zones as possible (e.g. 9am California = 6pm Western Europe).

* Always use the same URL for each call.

* A few days before each call, re-announce the call on the QIRG mailing list (once is not enough), including date, time, URL, and link to the GitHub repo for a summary of open issues.

* Avoid postponing or rescheduling calls (people mostly attend out of habit and generally miss rescheduling announcements).

* Use a low-friction video conference call platform such as Zoom or BlueJeans. (Apologies for being opinionated here, but if have wasted a lot of time calls not working.)  Don’t use a free plan that cuts off the call after 40 minutes.

* Record the meetings and store the recordings in a public place (e.g. in the GitHub repo itself). Make sure you let people know that the call is being recorded at the beginning of each call.

* Immediately after the call, post a short (< 1 page) summary of the call on the QIRG mailing list and store it in the GitHub repo.

(2) FORMAL ISSUE TRACKING

* Use GitHub Issues (instead of a text file) to track open issues. The main advantage is that it allows people to take formal ownership of an issue.

Some other suggestions, unrelated to collaboration:

(3) MARKDOWN FORMAT

* You may want to consider using the new markdown format (instead of the older XML format) for the draft. It should be easier to use and I suspect (but don't know for sure) that I may have better support for mathematical formulas and for diagrams (i.e. doesn't force you to use ascii art).

-- Bruno

---

From: Wojciech Kozlowski <[email-masked]>
Date: Mon, 16 Sep 2019 09:47:59 +0000

Thanks Bruno!

I've set up a doodle for choosing a time and date for a video call now
(https://framadate.org/iJJozdIqRtrWhwbq for those who missed that e-
mail). Hopefully, it will help get the ball rolling.

Some additional responses:

On Tue, 2019-09-10 at 09:28 +0200, Bruno Rijsman wrote:
> * Use GitHub Issues (instead of a text file) to track open issues.
> The main advantage is that it allows people to take formal ownership
> of an issue.

I was considering them. However, after I sent out my initial e-mail I
got the impression that there was interest in making sure the mailing
list always remains a possible forum for discussion. I agree with this.
Having a separate discussion forum in the GitHub issues, which only a
subset of people would track, would make it confusing in my opinion.
Would be worth touching upon in the first video call.

Thanks,
Wojtek